
solution "builddeb"

  configurations { "release" , "debug"}
  location  "build"

  --------- project libxml2 -----------
  project "libxml2"

    language    "C++"
    kind        "StaticLib"
    targetdir    "lib"
    targetname  "libxml2"

    includedirs { "src/host/libxml2/include", "src/host/libxml2/src" }

    defines     { "_MBCS", "NOLIBTOOL", "_REENTRANT", "LIBXML_STATIC", "HAVE_ERRNO_H", "TRIO_COMPILER_SUPPORTS_C99" }

    buildoptions { "-Wno-format", "-Wno-unused-result" }

    files       { "src/host/libxml2/src/*.c" }

    excludes    { "src/host/libxml2/src/test*.c", "src/host/libxml2/src/xmlcatalog*.c", "src/host/libxml2/src/xmllint*.c", "src/host/libxml2/src/run*.c" }

    configuration "release"
      defines   { "NDEBUG" }
      flags     { "OptimizeSize" }
      targetname  "libxml2"

    configuration "debug"
      targetname  "libxml2d"

  --------- project builddeb -----------
  project "builddeb"

    targetname  "builddeb"
    language    "C"
    kind        "ConsoleApp"

    flags       { "No64BitChecks", "ExtraWarnings" }
    defines     { "LUA_USE_POSIX", "LUA_USE_DLOPEN" }

    includedirs { "src/host/lua/src",
                  "src/host/lbz2/src",
                  "src/host/lfs/src",
                  "src/host/lsqlite3/src",
                  "src/host/sqlite3/src",
                  "src/host/lxmlreader/src",
                  "src/host/libxml2/include",
                  "src/host/bz2/src" }

    files       { "**.lua", "src/**.h", "src/**.c" }

    excludes    { "src/host/lua/src/lua.c",
                  "src/host/lua/src/luac.c",
                  "src/host/lua/src/print.c",
                  "src/host/sqlite3/src/shell.c",
                  "src/host/sqlite3/src/sqlite3.def",
                  "src/host/bz2/src/bzip2.c",
                  "src/host/bz2/src/bzip2recover.c",
                  "src/host/bz2/src/unzcrash.c",
                  "src/host/libxml2/**",
                  "src/host/bz2/src/spewG.c" }

    links        { "libxml2", "z",  "m", "pthread", "dl" }
    buildoptions { "-fPIC -DPIC", "-Wno-unused-but-set-variable" }

    configuration "debug"
      targetdir   "bin/debug"
      defines     "_DEBUG"
      flags       { "Symbols" }

    configuration "release"
      targetdir   "bin/release"
      defines     "NDEBUG"
      flags       { "OptimizeSize" }

--
-- A more thorough cleanup.
--
if _ACTION == "clean" then
  os.rmdir("bin")
  os.rmdir("build")
end

--
-- Use the embed action to convert all of the Lua scripts into C strings, which
-- can then be built into the executable. Always embed the scripts before creating
-- a release build.
--
dofile("scripts/embed.lua")
newaction {
  trigger     = "embed",
  description = "Embed scripts in scripts.c; required before release builds",
  execute     = doembed
}
