--
-- \file   globals.lua
-- \brief  global definition library
-- \author Copyright (c) 2010 pasgui
--
-- Hash: $Format:%h$
-- Date: $Format:%ci$
--

-- A top-level namespace for support functions
builddeb = {}

--
-- remove leading and trailing space
--
function string.trim(str)
  return (str:gsub("^%s*(.-)%s*$", "%1"))
end

--
-- split a string using the pattern sep
--
function string.split(text, sep, plain)
  -- suppress comment
  text = text:gsub("%-%-.*", "")
  -- default separator ':'
  sep = sep or ":"
  -- by default, plain text
  plain = plain or true
  -- explode
  local res, searchPos = {}, 1
  while true do
    local matchStart, matchEnd=string.find(text, sep, searchPos, plain)
    if matchStart and matchEnd >= matchStart then
      -- insert string up to separator into result
      table.insert(res, string.sub(text, searchPos, matchStart-1))
      -- continue search after separator
      searchPos=matchEnd+1
    else
      -- insert whole reminder as result
      table.insert(res, string.sub(text, searchPos))
      break
    end
  end
  local function unpack (t, i)
    i = i or 1
    if t[i] ~= nil then
      return t[i]:trim(), unpack(t, i + 1)
    end
  end
  return unpack(res)
end

--
-- compare two date df and dc using the cmp comparator
--
date = {}
function date.compare(df, dc)
  return loadstring("return ("..dc:gsub("(%d+)%-(%d+)%-(%d+)", function (year, month, day)
      return os.time{year=year, month=month, day=day, hour=0}
    end):gsub("[<>=]+", df.."%0")..")")()
end
