--
-- \file   help.lua
-- \brief  builddeb help file
-- \author Copyright (c) 2010 pasgui
--
-- Hash: $Format:%h$
-- Date: $Format:%ci$
--

local helppage = [[
NAME
       Builddeb - Debian repository builder.

SYNOPSIS
       builddeb [options] action

DESCRIPTION
       builddeb  allow  you to build a Debian repository from a configuration using a pool directory. It provide also a web site with a description of all packages included
       into the repository

OPTIONS
       --conf=file
               Process the specified "<file>" configuration. If not specified, "./ubuntu.xml" is assumed. The xml model is provided by the "/usr/share/builddeb/dtd/
               builddeb.dtd" file.

       --ubuntu=directory
               Overwrite the ubuntu root directory "<ubuntu directory>" defined in the configuration file.

       --pool=directory
               Overwrite  the  pool root directory "<pool directory>" defined in the configuration file. The pool contains all debian packages.

       --websrc=directory
               Overwrite  the  web source directory "<web source directory>". If not specified in the configuration file and as option, "www" is used.
               At the end of the "web" action, the contents of this directory and the "packages.db" is copied into the <web destination directory> directory.
               See the  www  directory  in the example.tar.gz file as example.

       --webdst=directory
               Overwrite the web root directory "<web destination directory>". If not specified in the configuration file and  as  option, "<ubuntu directory>" is used.
               All directories are defined as relative to the run directory of builddeb.

       --version  Display version.

       --help  Display this information.

ACTIONS
       all     build the debian repository and the web folder.

       build   build only the debian repository.

       web     build only the web folder and the "packages.db" sqlite3 file. Database structure is given in the "packages.sql" file provided as example.

CONFIGURATION
       ’ubuntu.xml’ file
               The "ubuntu.xml" file contains the information needed to build the repository. The model is provided by the "/usr/share/builddeb/dtd/builddeb.dtd" file.
               See the ’ubuntu.xml’ file provided as example.

EXAMPLES
       Generate debian repository.
       builddeb build

AUTHORS
       pasgui

HISTORY
       2010 - Initial version
]]

function builddeb.showhelp()
  print(helppage)
end
