--
-- \file   os.lua
-- \brief  os library
-- \author Copyright (c) 2010 pasgui
--
-- Hash: $Format:%h$
-- Date: $Format:%ci$
--

--
-- capture the output of a command
--
function os.capture(cmd, raw)
  local f = assert(io.popen(cmd, 'r'))
  local s = assert(f:read('*a'))
  f:close()
  if raw then return s end
  s = string.gsub(s, '^%s+', '')
  s = string.gsub(s, '%s+$', '')
  s = string.gsub(s, '[\n\r]+', ' ')
  return s
end

--
-- returns true if the file 'filename' exists else false
--
function os.exists(filename)
  if filename == nil then
    return false
  else
    local file = io.open(filename)
    if file then
      io.close(file)
      return true
    else
      return false
    end
  end
end
