/* Buidldeb's Lua scripts, as static data buffers for release mode builds */
/* DO NOT EDIT - this file is autogenerated - see BUILD.txt */
/* To regenerate this file, run: premake4 embed */ 

const char* builtin_scripts[] = {
	"builddeb = {}\nfunction string.trim(str)\n  return (str:gsub(\"^%s*(.-)%s*$\", \"%1\"))\nend\nfunction string.split(text, sep, plain)\n  -- suppress comment\n  text = text:gsub(\"%-%-.*\", \"\")\n  -- default separator ':'\n  sep = sep or \":\"\n  -- by default, plain text\n  plain = plain or true\n  -- explode\n  local res, searchPos = {}, 1\n  while true do\n    local matchStart, matchEnd=string.find(text, sep, searchPos, plain)\n    if matchStart and matchEnd >= matchStart then\n      -- insert string up to separator into result\n      table.insert(res, string.sub(text, searchPos, matchStart-1))\n      -- continue search after separator\n      searchPos=matchEnd+1\n    else\n      -- insert whole reminder as result\n      table.insert(res, string.sub(text, searchPos))\n      break\n    end\n  end\n  local function unpack (t, i)\n    i = i or 1\n    if t[i] ~= nil then\n      return t[i]:trim(), unpack(t, i + 1)\n    end\n  end\n  return unpack(res)\nend\ndate = {}\nfunction date.compare(df, dc)\n  return loadstring(\"return (\"..dc:gsub(\"(%d+)%-(%d+)%-(%d+)\", function (year, month, day)\n      return os.time{year=year, month=month, day=day, hour=0}\n    end):gsub(\"[<>=]+\", df..\"%0\")..\")\")()\nend\n",
	"function os.capture(cmd, raw)\n  local f = assert(io.popen(cmd, 'r'))\n  local s = assert(f:read('*a'))\n  f:close()\n  if raw then return s end\n  s = string.gsub(s, '^%s+', '')\n  s = string.gsub(s, '%s+$', '')\n  s = string.gsub(s, '[\\n\\r]+', ' ')\n  return s\nend\nfunction os.exists(filename)\n  if filename == nil then\n    return false\n  else\n    local file = io.open(filename)\n    if file then\n      io.close(file)\n      return true\n    else\n      return false\n    end\n  end\nend\n",
	"module('configuration', package.seeall)\nrepository = nil\npath = nil\npackages = nil\nfunction load(filename)\n  -- load configuration\n  local p = assert(xmlreader.from_file(filename, 'iso-8859-1', {'dtdvalid', 'nonet'}))\n  -- find all paths\n  path = {}\n  -- parse xml configuration file\n  while (p:read()) do\n    -- node path found\n    if p:name() == 'path' then\n      -- parse all attributes\n      while (p:move_to_next_attribute()) do\n        path[p:name()] = p:value()\n      end\n      -- stop parsing; only path node\n      break\n    end\n  end\n  -- find repository informations\n  repository = {}\n  -- parse xml configuration file\n  while (p:read()) do\n    -- node repository found\n    if p:name() == 'repository' then\n      -- parse all attributes\n      while (p:move_to_next_attribute()) do\n        repository[p:name()] = p:value()\n      end\n      -- stop parsing; only repository node\n      break\n    end\n  end\n  -- find all packages\n  packages = {}\n  local package = ''\n  local architecture = ''\n  -- parse xml configuration file\n  while (p:read()) do\n    -- node package found\n    if p:name() == 'package' and p:node_type() == 'element' then\n      package = p:get_attribute('name')\n      packages[package] = {}\n      -- parse all attributes\n      local b = {}\n      while (p:move_to_next_attribute()) do\n        b[p:name()] = p:value()\n      end\n      setmetatable(packages[package], { __index = b } )\n    -- node architecture\n    elseif p:name() == 'architecture' and p:node_type() == 'element' then\n      architecture = p:get_attribute('name')\n      packages[package][architecture] = {}\n      local b = {name = architecture}\n      setmetatable(packages[package][architecture], { __index = b } )\n    -- node deb\n    elseif p:name() == 'deb' and p:node_type() == 'element' then\n      -- parse all attributes\n      local t = {}\n      while (p:move_to_next_attribute()) do\n        t[p:name()] = p:value()\n      end\n      table.insert(packages[package][architecture], t)\n    end\n  end\n  if p:is_valid() == false then\n    error(\"Error: xml configuration '\"..filename..\"' isn't correct!\", 0)\n  end\n  -- ubuntu directory\n  path.ubuntu = _OPTIONS[\"ubuntu\"] or path.ubuntu\n  -- pool directory\n  path.pool = _OPTIONS[\"pool\"] or path.pool\n  if os.exists(path.pool) == false then\n    error(\"Error: pool directory '\"..path.pool..\"' not found!\", 0)\n  end\n  -- web destination directory\n  path.webdst = _OPTIONS[\"webdst\"] or path.webdst or path.ubuntu\n  -- web source directory\n  path.websrc = _OPTIONS[\"websrc\"] or path.websrc or \"www\"\nend\n",
	"local helppage = [[\nNAME\n       Builddeb - Debian repository builder.\nSYNOPSIS\n       builddeb [options] action\nDESCRIPTION\n       builddeb  allow  you to build a Debian repository from a configuration using a pool directory. It provide also a web site with a description of all packages included\n       into the repository\nOPTIONS\n       --conf=file\n               Process the specified \"<file>\" configuration. If not specified, \"./ubuntu.xml\" is assumed. The xml model is provided by the \"/usr/share/builddeb/dtd/\n               builddeb.dtd\" file.\n       --ubuntu=directory\n               Overwrite the ubuntu root directory \"<ubuntu directory>\" defined in the configuration file.\n       --pool=directory\n               Overwrite  the  pool root directory \"<pool directory>\" defined in the configuration file. The pool contains all debian packages.\n       --websrc=directory\n               Overwrite  the  web source directory \"<web source directory>\". If not specified in the configuration file and as option, \"www\" is used.\n               At the end of the \"web\" action, the contents of this directory and the \"packages.db\" is copied into the <web destination directory> directory.\n               See the  www  directory  in the example.tar.gz file as example.\n       --webdst=directory\n               Overwrite the web root directory \"<web destination directory>\". If not specified in the configuration file and  as  option, \"<ubuntu directory>\" is used.\n               All directories are defined as relative to the run directory of builddeb.\n       --version  Display version.\n       --help  Display this information.\nACTIONS\n       all     build the debian repository and the web folder.\n       build   build only the debian repository.\n       web     build only the web folder and the \"packages.db\" sqlite3 file. Database structure is given in the \"packages.sql\" file provided as example.\nCONFIGURATION\n       ’ubuntu.xml’ file\n               The \"ubuntu.xml\" file contains the information needed to build the repository. The model is provided by the \"/usr/share/builddeb/dtd/builddeb.dtd\" file.\n               See the ’ubuntu.xml’ file provided as example.\nEXAMPLES\n       Generate debian repository.\n       builddeb build\nAUTHORS\n       pasgui\nHISTORY\n       2010 - Initial version\n]]\nfunction builddeb.showhelp()\n  print(helppage)\nend\n",
	"module('debian', package.seeall)\nlocal tag = { [\"Package\"]=\"name\",  [\"Binary\"]=\"binary\", [\"Version\"]=\"version\",  [\"Priority\"]=\"priority\",  [\"Section\"]=\"section\",\n              [\"Maintainer\"]=\"maintainer\",  [\"Original-Maintainer\"]=\"originalmaintainer\", [\"Build-Depends\"]=\"builddepends\"; [\"Architecture\"]=\"architecture\";\n              [\"Standards-Version\"]=\"standardsversion\"; [\"Format\"]=\"format\"; [\"Directory\"]=\"directory\"; [\"Files\"]=\"files\";\n              [\"Installed-Size\"]=\"installedsize\",  [\"Source\"]=\"source\", [\"Depends\"]=\"depends\"; [\"Filename\"]=\"filename\";\n              [\"Size\"]=\"size\",  [\"MD5sum\"]=\"md5sum\", [\"SHA1\"]=\"sha1\"; [\"SHA256\"]=\"sha256\"; [\"Description\"]=\"description\";\n              [\"Homepage\"]=\"homepage\"; [\"Checksums-Sha1\"]=\"chescksumsha1\"; [\"Checksums-Sha512\"]=\"chescksumsha512\"; [\"Checksums-Sha256\"]=\"chescksumsha256\"; [\"Package-List\"]=\"package-list\";\n              [\"Conflicts\"]=\"conflicts\"; [\"Breaks\"]=\"breaks\"; [\"Replaces\"]=\"replaces\"; [\"Pre-Depends\"]=\"pre-depends\";\n              [\"Build-Depends-Indep\"]=\"build-depends-indep\"; [\"Uploaders\"]=\"uploaders\"; [\"Vcs-Browser\"]=\"vcs-browser\"; [\"Vcs-Svn\"]=\"vcs-svn\";\n              [\"Code\"]=\"code\"; [\"SHA512\"]=\"sha512\"; [\"Recommends\"]=\"recommends\"; [\"Suggests\"]=\"suggests\"}\nlocal state = nil\nlocal debianpackage = {}\nfunction packages(filename)\n  -- cheks if the file exists before continue\n  assert(os.exists(filename), \"file '\"..filename..\"' doesn't exist.\")\n  -- coroutine function\n  local function yieldpackages(filename)\n    for line in bz2.open(filename):lines() do\n      line = line:trim()\n      local _, _, key, value =line:find(\"^([^: ]*):(.*)\")\n      -- debian fields found\n      if key ~= nil then\n        if tag[key] ~= nil then\n          -- new package description\n          if key == \"Package\" then\n            debianpackage = {}\n            debianpackage.longdescription = \"\"\n          end\n          -- save current value associated with this field except \"files\" field\n          if key ~= \"Files\" then\n            debianpackage[tag[key]] = value:trim()\n          else\n            debianpackage.files = {}\n          end\n          -- multi-lines fields\n          if string.find(\"Description Files\", key, 1, true) ~= nil then\n            state = tag[key]\n          else\n            state = nil\n          end\n        else\n          print('unknown debian key:', key)\n        end\n      -- empty line\n      elseif line == \"\" then\n        -- end of package\n        if debianpackage.name ~= nil then\n          if debianpackage.source == nil then\n            debianpackage.source = debianpackage.name\n          end\n          coroutine.yield(debianpackage)\n          debianpackage = {}\n        end\n      -- others: multi-lines\n      else\n        -- Files\n        if state == tag[\"Files\"] then\n          local _, _, hash, size, filename =line:find(\"%s*([^%s]+)%s+([^%s]+)%s+([^%s]+)\")\n          table.insert(debianpackage.files, {hash, size, filename})\n        end\n        -- Description\n        if state == tag[\"Description\"] and line ~= \".\" then\n          debianpackage.longdescription = debianpackage.longdescription .. line:gsub('([\\'%\"])', \"%1%1\") .. \"\\n\"\n        end\n      end\n    end\n  end\n  return coroutine.wrap(function() yieldpackages(filename) end)\nend\n",
	"module('repository', package.seeall)\nlocal filelist, override, repository, path, packages\nlocal function create_architecture()\n  -- commands\n  local preparerepository = [[\n    mkdir -p dists\n    mkdir -p cache\n    rm -rf dists/*\n    rm -rf _REPOSITORY_PATH_\n    mkdir -p _REPOSITORY_PATH_/dists\n    mkdir -p _REPOSITORY_PATH_/indices\n  ]]\n  os.execute(string.gsub(preparerepository, \"_REPOSITORY_PATH_\", path.ubuntu))\n  filelist = {}\n  for distribution, _ in repository.distributions:gmatch(\"%w+\") do\n    lfs.mkdir(path.ubuntu..\"/dists/\" .. distribution)\n    filelist[distribution] = {}\n    for component, _ in repository.components:gmatch(\"%w+\") do\n      lfs.mkdir(path.ubuntu..\"/dists/\" .. distribution .. \"/\" .. component)\n      filelist[distribution][component] = {}\n      -- create architecture directory\n      for architecture, _ in repository.architectures:gmatch(\"%w+\") do\n        lfs.mkdir(path.ubuntu..\"/dists/\" .. distribution .. \"/\" .. component .. \"/binary-\" .. architecture)\n        filelist[distribution][component][architecture] = {}\n      end\n      -- create source directory\n      lfs.mkdir(path.ubuntu..\"/dists/\" .. distribution .. \"/\" .. component .. \"/source\")\n      filelist[distribution][component][\"source\"] = {}\n    end\n  end\n  override = {}\n  for component, _ in repository.components:gmatch(\"%w+\") do\n    override[component] = {}\n    override[component]['source'] = {}\n    override[component]['package'] = {}\n  end\nend\nlocal function check_ext(ext, file)\n  local insert = true\n  -- condition on the modification date\n  if ext ~= nil and ext ~= '' then\n    local attr = lfs.attributes (file)\n    -- date doesn't math the condition or error in the condition format\n    insert = date.compare(attr[\"modification\"], ext)\n  end\n  return insert\nend\nlocal function get_relative_pool()\n  local currentdir = lfs.currentdir()\n  lfs.chdir(path.ubuntu)\n  local fullubuntupath = lfs.currentdir()\n  lfs.chdir(currentdir)\n  local poolpath = path.pool:gsub(\"(.*)/.*\", \"%1\")\n  local poolname = path.pool:gsub(\".*/(.*)\", \"%1\")\n  lfs.chdir(poolpath)\n  local fullpoolpath = lfs.currentdir()\n  lfs.chdir(currentdir)\n  local path = ''\n  while fullpoolpath:find(fullubuntupath, 1, true) == nil do\n    fullubuntupath = fullubuntupath:gsub(\"(.*)/.*\", \"%1\")\n    path = path .. '../'\n  end\n  _, n = fullpoolpath:find(fullubuntupath, 1, true)\n  return path..fullpoolpath:sub(n+2)..poolname..'/'\nend\nlocal function create_packages_list()\n  -- parse all packages\n  for _, package in pairs(packages) do\n    local pool = get_relative_pool()..package.pool\n    local component = package.component\n    -- build override\n    override[component]['source'][package] = {}\n    table.insert(override[component]['source'][package], package.name .. '\\t' .. package.component .. '/' .. package.section)\n    -- parse all architectures for the current package\n    for _, architecture in pairs(package) do\n      -- parse all deb files for the current architecture\n      for _, deb in pairs(architecture) do\n        -- list all files into the pool\n        local pattern_is_found = false\n        for file in lfs.dir(path.ubuntu..'/'..pool) do\n          -- file match the pattern\n          if file:find(\"^\"..deb.name..\"$\") ~= nil then\n            pattern_is_found = true;\n            -- can insert the file\n            if check_ext(deb.ext, path.ubuntu..'/'..pool..'/'..file) == true then\n              local debfile = file:gsub(\"^([^_]*).*$\", \"%1\")\n              -- build override\n              if override[component]['package'][debfile] == nil then\n                override[component]['package'][debfile] = {}\n                table.insert(override[component]['package'][debfile], debfile .. '\\t' .. package.priority .. '\\t' .. package.component .. '/' .. package.section .. '\\t' .. repository.maintainer)\n              end\n              -- into the distribution(s)\n              for distribution, _ in deb.distribution:gmatch(\"%w+\") do\n                table.insert(filelist[distribution][component][architecture.name], pool..\"/\"..file)\n              end -- distribution\n            end -- cant insert the file\n          end -- file match pattern\n        end -- list all files\n        if pattern_is_found == false then\n          print(\"Warning: No package with the pattern '\"..deb.name..\"' found in the pool!\")\n        end\n      end -- debs\n    end  -- architectures\n  end -- packages\nend\nlocal function save_packages_list()\n  -- generate package list\n  for distribution, _ in repository.distributions:gmatch(\"%w+\") do\n    for component, _ in repository.components:gmatch(\"%w+\") do\n      -- create architecture directory\n      for architecture, _ in repository.architectures:gmatch(\"%w+\") do\n        local file = assert(io.open(\"dists/filelist-\"..distribution..\"-\"..component..\"-\"..architecture..\".cfg\", \"w\"))\n        for _ , debname in pairs(filelist[distribution][component][architecture]) do\n          file:write(debname..\"\\n\")\n        end\n        file:close()\n      end\n      -- create source directory\n      local file = assert(io.open(\"dists/filelist-\"..distribution..\"-\"..component..\"-source.cfg\", \"w\"))\n      for _ , debname in pairs(filelist[distribution][component][\"source\"]) do\n        file:write(debname..\"\\n\")\n      end\n      file:close()\n    end\n  end\n  -- generate override file\n  for component, _ in repository.components:gmatch(\"%w+\") do\n    local file = assert(io.open(\"dists/override-\"..component..\"-source.cfg\", \"w\"))\n    for _ , debname in pairs(override[component]['source']) do\n      file:write(debname[1]..\"\\n\")\n    end\n    file:close()\n    local file = assert(io.open(\"dists/override-\"..component..\".cfg\", \"w\"))\n    for _ , debname in pairs(override[component]['package']) do\n      file:write(debname[1]..\"\\n\")\n    end\n    file:close()\n  end\nend\nlocal function copy_files()\n  local release = \"Archive: %s\\nComponent: %s\\nOrigin: %s\\nLabel: %s\\nArchitectures: %s\"\n  local override = \"cp dists/override-%s.cfg %s/indices/override.%s.%s\"\n  for distribution, _ in repository.distributions:gmatch(\"%w+\") do\n    for component, _ in repository.components:gmatch(\"%w+\") do\n      -- all architectures\n      for architecture, _ in repository.architectures:gmatch(\"%w+\") do\n        local file = assert(io.open(path.ubuntu..\"/dists/\"..distribution..\"/\"..component..\"/binary-\"..architecture..\"/Release\", \"w\"))\n        file:write(string.format(release, distribution, component, repository.origin, repository.label, architecture))\n        file:close()\n      end\n      -- source\n      local file = assert(io.open(path.ubuntu..\"/dists/\"..distribution..\"/\"..component..\"/source/Release\", \"w\"))\n        file:write(string.format(release, distribution, component, repository.origin, repository.label, \"source\"))\n      file:close()\n      -- override\n      os.execute(string.format(override, component, path.ubuntu, distribution, component))\n      os.execute(string.format(override, component..\"-source\", path.ubuntu, distribution, component..\"-source\"))\n    end\n  end\nend\nlocal function complete_apt_file()\n  local ftparchive = [[\n  Dir {\n    ArchiveDir \"_REPOSITORY_PATH_\";\n    CacheDir \"cache\";\n    OverrideDir \"dists\";\n    FileListDir \"dists\";\n    SourceFileListDir \"dists\";\n  };\n  Default {\n    Packages::Compress \". gzip bzip2\";\n    Sources::Compress \". gzip bzip2\";\n    Contents::Compress \". gzip\";\n    DeLinkLimit 0;\n    MaxContentsChange 25000;\n    FileMode 0664;\n  };\n  TreeDefault {\n    BinCacheDB \"packages-$(DIST)-$(SECTION)-$(ARCH).db\";\n    Packages \"dists/$(DIST)/$(SECTION)/binary-$(ARCH)/Packages\";\n    Sources \"dists/$(DIST)/$(SECTION)/source/Sources\";\n    Contents \"dists/$(DIST)/Contents-$(ARCH)\";\n    FileList \"filelist-$(DIST)-$(SECTION)-$(ARCH).cfg\";\n    SourceFileList \"filelist-$(DIST)-$(SECTION)-source.cfg\";\n  };\n  ]]\n  ftparchive = string.gsub(ftparchive, \"_REPOSITORY_PATH_\", path.ubuntu)\n  local ftparchivedist = [[\n  Tree \"%s\" {\n    Sections \"%s\";\n    Architectures \"%s source\";\n    BinOverride \"override-$(SECTION).cfg\";\n    SrcOverride \"override-$(SECTION)-source.cfg\";\n  }\n  ]]\n  local f = assert(io.open(\"dists/apt-ftparchive.conf\", \"w\"))\n  f:write(ftparchive)\n  for distribution, _ in repository.distributions:gmatch(\"%w+\") do\n    f:write(string.format(ftparchivedist, distribution, repository.components, repository.architectures))\n  end\n  f:close()\nend\nlocal function clean_and_build()\n  -- clean and build repository\n  os.execute[[\n  apt-ftparchive clean dists/apt-ftparchive.conf\n  apt-ftparchive generate dists/apt-ftparchive.conf\n  ]]\n  -- generate index file\n  print(\"Generate index file ...\")\n  local aptcustom = [[\n  APT {\n    FTPArchive {\n      Release {\n        Origin \"%s\";\n        Label \"%s\";\n        Suite \"%s\";\n        Codename \"%s\";\n        Components \"%s\";\n        Architectures \"%s source\";\n      };\n    };\n  };\n  ]]\n  local release = [[\n  apt-ftparchive -c dists/apt-custom-release.conf release _DIST_PATH_ > _DIST_PATH_/Release\n  gpg --output _DIST_PATH_/Release.gpg -ba _DIST_PATH_/Release\n  ]]\n  for distribution, _ in repository.distributions:gmatch(\"%w+\") do\n    local f = assert(io.open(\"dists/apt-custom-release.conf\", \"w\"))\n    f:write(string.format(aptcustom, repository.origin, repository.label, distribution..\"-\"..repository.suffix, distribution, repository.components, repository.architectures))\n    f:close()\n    os.execute(string.gsub(release, \"_DIST_PATH_\", path.ubuntu..\"/dists/\"..distribution))\n  end\nend\nlocal function finalize()\n  -- remove plain text files\n  print(\"Remove plain text files ...\")\n  for architecture, _ in repository.architectures:gmatch(\"%w+\") do\n    os.execute(\"find \"..path.ubuntu..\" -type f -name Contents-\"..architecture..\" -exec rm -f {} \\\\;\")\n  end\n  os.execute(\"find \"..path.ubuntu..\" -type f -name Packages -exec rm -f {} \\\\;\")\n  os.execute(\"find \"..path.ubuntu..\" -type f -name Sources -exec rm -f {} \\\\;\")\n  -- create ls-lR file\n  print(\"Create ls-lR file ...\")\n  os.execute(\"cd \"..path.ubuntu..\" && ls -lR | gzip -9 > ls-lR.gz\")\n  -- create md5sum file\n  print(\"Create md5sum file ...\")\n  os.execute(\"find \"..path.ubuntu..\" -type f 2>/dev/null -exec md5sum {} \\\\; | gzip -9 > \"..path.ubuntu..\"/indices/md5sums.gz\")\nend\nfunction build(filename)\n  -- get path, packages and repository information from configuration\n  repository = configuration.repository\n  path = configuration.path\n  packages = configuration.packages\n  print(\"Create architecture directory ...\")\n  create_architecture()\n  print(\"Generate source/package file list ...\")\n  create_packages_list()\n  print(\"Save file list configuration ...\")\n  save_packages_list()\n  print(\"Copy repository needed files ...\")\n  copy_files()\n  print(\"Complete apt-ftparchive.conf file with distributions ...\")\n  complete_apt_file()\n  print(\"clean and build architecture\")\n  clean_and_build()\n  print(\"cleaning ...\")\n  finalize()\nend\n",
	"module('web', package.seeall)\nlocal repository, path\nlocal function parse()\n  for distribution, _ in repository.distributions:gmatch(\"%w+\") do\n    print(distribution)\n    for component, _ in repository.components:gmatch(\"%w+\") do\n      print(\"  \" .. component)\n      -- parse sources files\n      local sourcefilename = path.ubuntu .. \"/dists/\" .. distribution .. \"/\" .. component .. \"/source/Sources.bz2\";\n      if os.exists(sourcefilename) then\n        print(\"    source: \" .. sourcefilename)\n        -- commit sources file parsed\n        dbm:exec(\"BEGIN TRANSACTION;\")\n        for debianpackage in debian.packages(sourcefilename) do\n          for _, attr in pairs(debianpackage.files) do\n            md5sum, size, file = table.unpack(attr)\n            local _, _, version, extension = debianpackage.version:find(\"(.*)-(.*)\")\n            assert(dbm:exec(\"INSERT OR REPLACE INTO files VALUES('\"..debianpackage.source..\"', '\"..version..\"', 'source', '\"..debianpackage.directory..\"/', '\"..extension..\"', '\"..debianpackage.name..\"', '\"..distribution..\"', '\"..file..\"', \"..size..\", '\"..component..\"', '\"..debianpackage.section..\"', 1);\"))\n          end\n        end\n        dbm:exec(\"COMMIT;\")\n      else\n        print(sourcefilename .. \" doesn't exist\")\n      end\n      -- parse packages files\n      for architecture, _ in repository.architectures:gmatch(\"%w+\") do\n        local sourcefilename = path.ubuntu .. \"/dists/\" .. distribution .. \"/\" .. component .. \"/binary-\" .. architecture .. \"/Packages.bz2\";\n        if os.exists(sourcefilename) then\n          print(\"    \" .. architecture .. \": \" .. sourcefilename)\n          -- commit packages file parsed\n          dbm:exec(\"BEGIN TRANSACTION;\")\n          for debianpackage in debian.packages(sourcefilename) do\n            local longdescription = debianpackage.longdescription:gsub(\"\\n[-*] \", \"<br/>- \"):gsub(\"\\n\", \" \")\n            local description = debianpackage.description:gsub(\"\\n\", \"<br/>\")\n            local _, _, directory, file =debianpackage.filename:find(\"(.*)/(.*%.deb)\")\n            local _, _, version, extension = debianpackage.version:find(\"(.*)-(.*)\")\n            local common_architecture\n            if file:match('.*_all.deb') == nil then\n              all_architecture = 0\n            else\n              all_architecture = 1\n            end\n            assert(dbm:exec(\"INSERT OR REPLACE INTO sources VALUES('\"..debianpackage.name..\"', '\"..description..\"', '\"..longdescription..\"', '\"..debianpackage.source..\"');\"))\n            assert(dbm:exec(\"INSERT OR REPLACE INTO files VALUES('\"..debianpackage.source..\"', '\"..version..\"', '\"..architecture..\"', '\"..directory..\"/', '\"..extension..\"', '\"..debianpackage.name..\"', '\"..distribution..\"', '\"..file..\"', \"..debianpackage.size..\", '\"..component..\"', '\"..debianpackage.section..\"', \"..all_architecture..\");\"))\n          end\n          dbm:exec(\"COMMIT;\")\n        else\n          print(sourcefilename .. \" doesn't exist\")\n        end\n      end\n    end\n  end\nend\nlocal function generate_source_file()\n  db:exec(\"BEGIN TRANSACTION;\")\n  local stmt = assert(dbm:prepare(\"SELECT * FROM sources WHERE source=:name\"))\n  for row_source in dbm:nrows(\"SELECT DISTINCT source FROM 'sources' ORDER BY source ASC\") do\n    stmt:bind_names({name=row_source.source})\n    if stmt:step() == sqlite3.ROW then\n      row = stmt:get_named_values()\n      assert(db:exec('INSERT INTO sources VALUES(\"' .. row_source.source .. '\", \"' .. row.description .. '\", \"' .. row.longdescription .. '\");'))\n    else\n      print(\"\\n\\tError while generating sources table\\n\");\n    end\n    stmt:reset()\n  end\n  db:exec(\"COMMIT;\")\nend\nlocal function generate_packages_table()\n  db:exec(\"BEGIN TRANSACTION;\")\n  for row in dbm:nrows(\"SELECT DISTINCT * FROM 'sources'\") do\n    assert(db:exec('INSERT INTO packages VALUES(\"' .. row.name .. '\", \"' .. row.description .. '\", \"' .. row.source .. '\");'))\n  end\n  db:exec(\"COMMIT;\")\nend\nlocal function generate_version_table()\n  db:exec(\"BEGIN TRANSACTION;\")\n  local stmt = assert(dbm:prepare(\"SELECT * FROM 'files' WHERE package=? AND version=? AND section=? AND filename GLOB ?\"))\n  for row in dbm:nrows(\"SELECT DISTINCT package, version, section FROM 'files' ORDER BY package ASC\") do\n    -- find all deb file included for the current packages\n    stmt:bind_values(row.package, row.version, row.section, \"*.deb\")\n    if stmt:step() == sqlite3.ROW then\n      row_file = stmt:get_named_values()\n      -- package directory exists\n      if os.exists(path.ubuntu .. \"/\" .. row_file.path) then\n        -- find current version\n        local version = string.gsub(row.version, \"%w*:(%w+)\", \"%1\")\n        -- find at least one deb file in the pool for the current package\n        local filename = os.capture(\"cd \" .. path.ubuntu .. \" && ls -t \" .. row_file.path .. \" | grep -m1 --regexp='\" .. row_file.package .. \"_\" .. version .. \"[-|_].*.deb'\")\n        if filename ~= '' then\n          -- search most recent modification date for the current package\n          published = assert(os.capture(\"cd \" .. path.ubuntu .. \" && date --rfc-3339=date -r \" .. row_file.path .. filename))\n          -- search most recent changes file for the current package\n          local changes = os.capture(\"cd \" .. path.ubuntu .. \"/\" .. row_file.path .. \" && ls \"..row_file.package ..\"_\" .. version .. \"*.changes | tail -1\")\n          local timestamp = 0\n          if changes ~= '' then\n            timestamp = os.capture(\"cd \" .. path.ubuntu .. \"/\" .. row_file.path .. \" && stat -c %Y \"..changes)\n            changes = row_file.path .. changes\n          end\n          -- find distribution for the current package\n          local distributions = ''\n          for row_dist in dbm:nrows(\"SELECT DISTINCT distribution FROM 'files' WHERE package='\" .. row.package .. \"' AND version='\" .. row.version .. \"' AND section='\" .. row.section .. \"'\") do\n            distributions = distributions .. \" \" .. row_dist.distribution\n          end\n          -- find architecture for the current package\n          local architectures = ''\n          for row_arch in dbm:nrows(\"SELECT DISTINCT architecture FROM 'files' WHERE package='\" .. row.package .. \"' AND version='\" .. row.version .. \"' AND section='\" .. row.section .. \"' AND all_architecture=0\") do\n              architectures = architectures .. \" \" .. row_arch.architecture\n          end\n          if architectures == \"\" then\n            architectures = \"all\"\n          end\n          -- insert into the database\n          db:exec(\"INSERT INTO 'version' VALUES('\" .. row.package .. \"', '\" .. row.version .. \"', '\" .. distributions .. \"', '\" .. architectures .. \"', '\" .. published ..\"', '\" .. row.section ..\"', '\" .. changes ..\"',\" .. timestamp .. \");\")\n        else\n          print(row.package, row.version, row.section .. \": No *.deb files (\"..dbm:error_message()..\")\");\n        end\n      else\n        print(row.package, row.version, row.section .. \": Directory '\"..path.ubuntu .. \"/\" .. row_file.path..\"' doesn't exist\");\n      end\n    else\n       print(row.package, row.version, row.section .. \": No *.deb files (\"..dbm:error_message()..\")\");\n    end\n    stmt:reset()\n  end\n  db:exec(\"COMMIT;\")\nend\nlocal function generate_files_table()\n  db:exec(\"BEGIN TRANSACTION;\")\n  local stmt = assert(dbm:prepare(\"SELECT * FROM 'files' WHERE filename=? AND size=? AND architecture=?;\"))\n  local insert_stmt  = assert(db:prepare(\"INSERT INTO 'files' VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?);\"))\n  for row_filename in dbm:nrows(\"SELECT DISTINCT package, filename, size, architecture FROM 'files' ORDER BY package ASC, filename ASC\") do\n    -- find all distribution linked with the same file\n    stmt:reset()\n    stmt:bind_values(row_filename.filename, row_filename.size, row_filename.architecture)\n    local dist = ''\n    for row in stmt:nrows() do\n      dist = dist .. \" \" .. row.distribution\n    end\n    -- get first item\n    stmt:reset()\n    stmt:step()\n    row = stmt:get_named_values()\n    -- compute size\n    if row.size > 1048576 then\n      size = string.format('%.2f MiB', row.size/1048576)\n    elseif row.size > 1024 then\n      size = string.format('%.2f KiB', row.size/1024)\n    else\n      size = string.format('%d B', row.size)\n    end\n    -- insert filename into the database\n    insert_stmt:reset()\n    insert_stmt:bind_values(row.package, row.version, row.architecture, row.path, row.extension, row.deb, dist, row.filename, size, row.repository, row.section)\n    insert_stmt:step()\n  end\n  db:exec(\"COMMIT;\")\nend\nfunction build()\n  -- get path and repository information from configuration\n  repository = configuration.repository\n  path = configuration.path\n  -- remove previous database\n  os.remove('packages.db')\n  -- open database\n  db = sqlite3.open('packages.db')\n  -- create all tables into the database\n  db:exec[[\n    BEGIN TRANSACTION;\n    CREATE TABLE 'sources' ('source' TEXT, 'description' TEXT, 'longdescription' TEXT);\n    CREATE TABLE 'packages' ('name' TEXT unique, 'description' TEXT, 'source' TEXT);\n    CREATE TABLE 'files' ('package' TEXT, 'version' TEXT, 'architecture' TEXT, 'path' TEXT, 'extension' TEXT, 'deb' TEXT, 'distribution' TEXT, 'filename' TEXT, 'size' INTEGER, 'repository' TEXT, 'section' TEXT);\n    CREATE TABLE 'version' ('name' TEXT, 'version' TEXT, 'distribution' TEXT, 'architecture' TEXT, 'date' TEXT, 'section' TEXT, 'changes' TEXT, 'timestamp' INTEGER);\n    COMMIT;\n  ]]\n  -- open memory database\n  dbm = sqlite3.open_memory()\n  -- create all tables into the database\n  dbm:exec[[\n    BEGIN TRANSACTION;\n    CREATE TABLE 'sources' ('name' TEXT unique, 'description' TEXT, 'longdescription' TEXT, 'source' TEXT);\n    CREATE TABLE 'files' ('package' TEXT, 'version' TEXT, 'architecture' TEXT, 'path' TEXT, 'extension' TEXT, 'deb' TEXT, 'distribution' TEXT, 'filename' TEXT, 'size' INTEGER, 'repository' TEXT, 'section' TEXT, 'all_architecture' INTEGER);\n    COMMIT;\n  ]]\n  print(\"Parse all sources and packages files ...\")\n  parse()\n  print(\"Generate sources table ...\")\n  generate_source_file()\n  print(\"Generate packages table ...\")\n  generate_packages_table()\n  print(\"Generate version table ...\")\n  generate_version_table()\n  print(\"Generate files table ...\")\n  generate_files_table()\n  -- close the databases\n  assert(db:close() == sqlite3.OK)\n  assert(dbm:close() == sqlite3.OK)\nend\n",
	"local shorthelp     = \"Type 'builddeb --help' for help\"\nlocal versionhelp   = \"builddeb (Debian repository builder) \"\nfunction _builddeb_main(scriptpath)\n  -- if running off the disk (in debug mode), load everything\n  -- listed in _manifest.lua; the list divisions make sure\n  -- everything gets initialized in the proper order.\n  if (scriptpath) then\n    local scripts  = dofile(scriptpath .. \"/_manifest.lua\")\n    for _,v in pairs(scripts) do\n      dofile(scriptpath .. \"/\" .. v)\n    end\n  end\n  -- Process special options\n  if (_OPTIONS[\"version\"]) then\n    print(versionhelp .. _BUILDDEB_VERSION)\n    return 1\n  end\n  if (_OPTIONS[\"help\"]) then\n    builddeb.showhelp()\n    return 1\n  end\n  -- If no action was specified, show a short help message\n  if (not _ACTION) then\n    print(shorthelp)\n    return 1\n  end\n  -- checks action\n  if string.find(\"all build web\", _ACTION, 1, true) == nil then\n    builddeb.showhelp()\n    return 1\n  end\n  -- load configuration\n  local filename = _OPTIONS[\"conf\"] or \"ubuntu.xml\"\n  if os.exists(filename) == false then\n    error(\"Error: configuration file '\"..filename..\"' not found!\", 0)\n  end\n  configuration.load(filename)\n  -- build debian repository\n  if string.find(\"all build\", _ACTION, 1, true) then\n    -- build repository\n    repository.build()\n  end\n  -- build web folder\n  if string.find(\"all web\", _ACTION, 1, true) then\n    -- get path information from configuration\n    local path = configuration.path\n    -- check if the ubuntu directory exists\n    if os.exists(path.ubuntu) == false then\n      error(\"Error: ubuntu directory '\"..path.ubuntu..\"' not found!\", 0)\n    end\n    -- build web folder\n    web.build()\n    -- copy database into the www directory\n    if os.exists(path.websrc) == true and os.exists(path.webdst) == true and os.exists('packages.db') == true then\n      os.execute(\"cp -Rp \"..path.websrc..\"/* \"..path.webdst..\"/\")\n      os.execute(\"cp -f packages.db \"..path.webdst..\"/\")\n    else\n      print(\"Warning: can't finalize web action!\")\n    end\n  end\nend\n",
	0
};
